Attempt auto install hplip fails sudo apt-get usudo apt-get update (Pre-depend step 3) pdate (Pre-depend step 3)

Asked by Ian Grant on 2021-02-24

Using Ubuntu 20.04 LTS

Attemptin to install hplip-3.21.2

hplip-3.21.2.run: 382: cd: can't cd to hplip-3.21.2

RUNNING PRE-PACKAGE COMMANDS
----------------------------
sudo dpkg --configure -a (Pre-depend step 1)
sudo apt-get install --yes --force-yes -f (Pre-depend step 2)
sudo apt-get update (Pre-depend step 3)
OK

DEPENDENCY AND CONFLICT RESOLUTION
----------------------------------
Running 'sudo apt-get install --assume-yes gtk2-engines-pixbuf'
Please wait, this may take several minutes...
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...

fails at this point can't find python-

Looks as if I have gone with cd wrong at start

Question information

Language:
English Edit question
Status:
Answered
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2021-02-24
Last reply:
2021-02-25
Manfred Hampl (m-hampl) said : #1

The HPLIP installer from the the HP pages does not correctly work on Ubuntu focal due to problems with python2/python3 and qt4/qt5

You better install the hplip package from the Ubuntu repositories:
sudo apt install hplip-gui

Can you help with this problem?

Provide an answer of your own, or ask Ian Grant for more information if necessary.

To post a message you must log in.